import { CloudProvider } from '../../enums/cloud-provider.enum';
import { IVolumeExport } from '../../interfaces/volume-export.interface';
import { VolumeExportRegistration } from '../tokens';
export declare class VolumeExportFactory {
    private readonly logger;
    private readonly registry;
    constructor(registrations: VolumeExportRegistration | VolumeExportRegistration[] | null);
    get(provider: CloudProvider): IVolumeExport | null;
    getOrFail(provider: CloudProvider): IVolumeExport;
    supports(provider: CloudProvider): boolean;
    getSupportedProviders(): CloudProvider[];
}
